# Memcached::set

(PECL memcached >= 0.1.0)

Memcached::set — Stocke un élément

### Description

public Memcached::set(string `$key`, mixed `$value`, int `$expiration` = 0): bool

Memcached::set() stocke la valeur `value` sur une serveur memcache, avec la clé d'identification `key`. Le paramètre `expiration` permet de contrôler le délai d'expiration automatique de la valeur.

La valeur peut être n'importe quelle type de valeur PHP, hormis une ressource, car elles ne peuvent pas être représentée sous forme linéaire. Si l'option `Memcached::OPT_COMPRESSION` est activée, la valeur sérialisée sera aussi compressée avant stockage.

### Liste de paramètres

`key`

  La clé avec laquelle stocker la valeur.

`value`

  La valeur à stocker.

`expiration`

  Le délai d'expiration, par défaut à zéro. Voyez délais d'expiration pour plus d'informations.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient. Utilisez Memcached::getResultCode() si nécessaire.

### Exemples

Exemple #1 Exemple avec Memcached::set()

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
$m->set('int', 99);
$m->set('string', 'a simple string');
$m->set('array', array(11, 12));
/* L''object' va etre détruit dans 5 minutes */
$m->set('object', new stdClass, time() + 300);
var_dump($m->get('int'));
var_dump($m->get('string'));
var_dump($m->get('array'));
var_dump($m->get('object'));
?>`

Résultat de l'exemple ci-dessus est similaire à :

    int(99)
    string(15) "a simple string"
    array(2) {
      [0]=>
      int(11)
      [1]=>
      int(12)
    }
    object(stdClass)#1 (0) {
    }

### Voir aussi

- Memcached::setByKey() - Stocke un élément sur un serveur spécifique
- Memcached::add() - Ajoute un nouvel élément sous une nouvelle clé
- Memcached::replace() - Remplace un élément sous une clé